extends Node2D

signal testing_things

func append_label():
	var line = str("System Time: ", OS.get_system_time_secs(),
			" Physics Delta: ", get_physics_process_delta_time(), 
			" Frame Delta: ", get_process_delta_time(),"\n")
	print(line)
	$RichTextLabel.add_text(line)

func _ready():
	var timer = Timer.new()
	timer.connect("timeout", self, "append_label")
	timer.process_mode = Timer.TIMER_PROCESS_PHYSICS
	add_child(timer)
	timer.start(1.0)
